<template>
  <img
    src="/images/logo/fast-farmer-app-white-border.svg"
    style="max-width: 48px; max-height: 48px; position: absolute; top: -14px; left: 50%; transform: translateX(-50%);"
    @click="$router.push({ name: 'fieldbook' })"
  >

  <q-tabs
    v-model="tab"
    dense
    active-class="text-dark"
  >
    <q-tab
      name="home"
      key="home"
      no-caps
      @click="$router.push({ name: 'home' })"
      icon="la la-home"
      :style="qTabStyle('home')"
      :class="qTabClass('home')"
    >
      <translate class="tab-text">
        Home
      </translate>
    </q-tab>

    <q-tab
      name="holdingCampaign"
      key="holdingCampaign"
      no-caps
      @click="$router.push({ name: 'holdingCampaign' })"
      icon="la la-map"
      :style="qTabStyle('holdingCampaign')"
      :class="qTabClass('holdingCampaign')"
    >
      <translate class="tab-text">
        Campaign
      </translate>
    </q-tab>

    <q-tab
      name="fieldbook"
      key="fieldbook"
      no-caps
      @click="$router.push({ name: 'fieldbook' })"
      :style="qTabStyle('fieldbook') + 'position: relative;'"
      :class="qTabClass('fieldbook')"
    >
      <div style="position: relative; top: 12px">
        <translate class="tab-text">
          Services
        </translate>
      </div>
    </q-tab>

    <q-tab
      name="photos"
      key="photos"
      no-caps
      @click="$router.push({ name: 'photos' })"
      icon="la la-camera"
      :style="qTabStyle('photos')"
      :class="qTabClass('photos')"
    >
      <translate class="tab-text">
        Photos
      </translate>
    </q-tab>

    <q-tab
      name="addOns"
      key="addOns"
      no-caps
      @click="$router.push({ name: 'addOns' })"
      icon="la la-plus"
      :style="qTabStyle('addOns')"
      :class="qTabClass('addOns')"
    >
      <translate class="tab-text">
        Add-ons
      </translate>
    </q-tab>
  </q-tabs>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'

export default {
  name: 'NavigationTabsMobile',
  mixins: [PlatformMixin],
  computed: {
    tab: {
      get () {
        return this.$route.meta
          ? this.$route.meta.footerGroupName || this.$route.name
          : this.$route.name
      },
      set () {}
    }
  },
  methods: {
    qTabStyle (tabName) {
      return 'width: 20%; padding: 4px;'
    },
    qTabClass (tabName) {
      return this.$route.meta.footerGroupName === tabName
        ? 'text-dark'
        : ''
    }
  }
}
</script>

<style scoped>
.tab-text {
  width: 100%;
  overflow: hidden;
  text-align: center;
  text-overflow: ellipsis;
}
.tabs-content {
  position: unset;
}
</style>
